### Hierarchy

- BaseSetting
  - RadioSetting

## Index

### Constructors

- constructor

### Properties

- _inputs
- _outputs
- active
- component
- content
- contentObservable
- contentSubscription
- options
- staged
- template

### Methods

- commit
- getContent
- getInputs
- getOutputs
- getTemplate
- onChanges
- setContent
- setTemplate
- toJSON
- toString

## Constructors

### constructor

- new RadioSetting(options: RadioSettingOptions): RadioSetting

- Inherited from BaseSetting.constructor

  - Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.class.ts:18

  #### Parameters

  - ##### options: RadioSettingOptions

  #### Returns RadioSetting

## Properties

### Protected _inputs

_inputs: Map<any, any> = ...

Inherited from BaseSetting._inputs

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:31

### Protected _outputs

_outputs: Map<any, any> = ...

Inherited from BaseSetting._outputs

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:32

### Protected active

active: any

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.class.ts:18

### component

component: typeof RadioSettingComponent = ...

Overrides BaseSetting.component

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.class.ts:14

### Protected content

content: BehaviorSubject<any> = ...

Inherited from BaseSetting.content

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:26

### Protected contentObservable

contentObservable: Observable<any> = ...

Inherited from BaseSetting.contentObservable

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:27

### Protected contentSubscription

contentSubscription: Subscription = ...

Inherited from BaseSetting.contentSubscription

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:28

### Protected options

options: RadioOption[]

Overrides BaseSetting.options

- Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.class.ts:16

### Protected staged

staged: {} = ...

Inherited from BaseSetting.staged

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:25

#### Type declaration

### Protected Optional template

template: TemplateRef<any>

Inherited from BaseSetting.template

- Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:29

## Methods

### commit

- commit(): void

- Inherited from BaseSetting.commit

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:99

  #### Returns void

### getContent

- getContent(): Observable<any>

- Inherited from BaseSetting.getContent

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:40

  #### Returns Observable<any>

### getInputs

- getInputs(): Map<any, any>

- Inherited from BaseSetting.getInputs

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:68

  gets a map of input names to values

  By default returns a map of 'options' to `this.options`

  #### Returns Map<any, any>

### getOutputs

- getOutputs(): Map<any, any>

- Inherited from BaseSetting.getOutputs

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:72

  #### Returns Map<any, any>

### getTemplate

- getTemplate(): TemplateRef<any>

- Inherited from BaseSetting.getTemplate

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:55

  #### Returns TemplateRef<any>

### onChanges

- onChanges(changes: SettingChanges): void

- Inherited from BaseSetting.onChanges

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:93

  #### Parameters

  - ##### changes: SettingChanges

  #### Returns void

### setContent

- setContent(content: Content): void

- Inherited from BaseSetting.setContent

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:44

  #### Parameters

  - ##### content: Content

  #### Returns void

### setTemplate

- setTemplate(template: TemplateRef<any>): void

- Inherited from BaseSetting.setTemplate

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:59

  #### Parameters

  - ##### template: TemplateRef<any>

  #### Returns void

### toJSON

- toJSON(): object

- Overrides BaseSetting.toJSON

  - Defined in packages/angular/src/toolkit/table-settings/settings/radio-setting.class.ts:29

  #### Returns object

### toString

- toString(): string

- Inherited from BaseSetting.toString

  - Defined in packages/angular/src/toolkit/table-settings/settings/setting.class.ts:89

  #### Returns string

Generated using TypeDoc